    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class org.jdom.IllegalAddException

    java.lang.Object
       |
       +----java.lang.Throwable
               |
               +----java.lang.Exception
                       |
                       +----java.lang.RuntimeException
                               |
                               +----java.lang.IllegalArgumentException
                                       |
                                       +----org.jdom.IllegalAddException

public class IllegalAddException
extends IllegalArgumentException

`IllegalAddException` is thrown when trying to add a illegal object to a JDOM construct.

Version:
  $Revision: 1.17 $, $Date: 2002/02/23 11:30:13 $
Author:
  Brett McLaughlin

##

IllegalAddException(Document, Comment, String)

  This will create an `Exception` indicating that the addition of the `{`

IllegalAddException(Document, DocType, String)

  This will create an `Exception` indicating that the addition of the `{`

IllegalAddException(Document, Element, String)

  This will create an `Exception` indicating that the addition of the `{`

IllegalAddException(Document, ProcessingInstruction, String)

  This will create an `Exception` indicating that the addition of the `{`

IllegalAddException(Element, Attribute, String)

  This will create an `Exception` indicating that the addition of the `{`

IllegalAddException(Element, CDATA, String)

  This will create an `Exception` indicating that the addition of the `{`

IllegalAddException(Element, Comment, String)

  This will create an `Exception` indicating that the addition of the `{`

IllegalAddException(Element, Element, String)

  This will create an `Exception` indicating that the addition of the `{`

IllegalAddException(Element, EntityRef, String)

  This will create an `Exception` indicating that the addition of the `{`

IllegalAddException(Element, Namespace, String)

  This will create an `Exception` indicating that the addition of the `{`

IllegalAddException(Element, ProcessingInstruction, String)

  This will create an `Exception` indicating that the addition of the `{`

IllegalAddException(Element, Text, String)

  This will create an `Exception` indicating that the addition of the `{`

IllegalAddException(String)

  This will create an `Exception` with the specified error message.

##

IllegalAddException

     public IllegalAddException(Element base,
                                Attribute added,
                                String reason)

  This will create an `Exception` indicating that the addition of the `{@link Attribute}` to the `{@link Element}` is illegal.

  Parameters:
    base - `Element` that `Attribute` couldn't be added to
    added - `Attribute` that could not be added
    reason - cause of the problem

IllegalAddException

     public IllegalAddException(Element base,
                                Element added,
                                String reason)

  This will create an `Exception` indicating that the addition of the `{@link Element}` to parent is illegal.

  Parameters:
    base - `Element` that the child couldn't be added to
    added - `Element` that could not be added
    reason - cause of the problem

IllegalAddException

     public IllegalAddException(Document base,
                                Element added,
                                String reason)

  This will create an `Exception` indicating that the addition of the `{@link Element}` to the `{@link Document}` is illegal.

  Parameters:
    base - `Document` that the `Element` couldn't be added to
    added - `Element` that could not be added
    reason - cause of the problem

IllegalAddException

     public IllegalAddException(Element base,
                                ProcessingInstruction added,
                                String reason)

  This will create an `Exception` indicating that the addition of the `{@link ProcessingInstruction}` to the `{@link Element}` is illegal.

  Parameters:
    base - `Element` that the `ProcessingInstruction` couldn't be added to
    added - `ProcessingInstruction` that could not be added
    reason - cause of the problem

IllegalAddException

     public IllegalAddException(Document base,
                                ProcessingInstruction added,
                                String reason)

  This will create an `Exception` indicating that the addition of the `{@link ProcessingInstruction}` to the `{@link Document}` is illegal.

  Parameters:
    base - `Document` that the `ProcessingInstruction` couldn't be added to
    added - `ProcessingInstruction` that could not be added
    reason - cause of the problem

IllegalAddException

     public IllegalAddException(Element base,
                                Comment added,
                                String reason)

  This will create an `Exception` indicating that the addition of the `{@link Comment}` to the `{@link Element}` is illegal.

  Parameters:
    base - `Element` that the `Comment` couldn't be added to
    added - `Comment` that could not be added
    reason - cause of the problem

IllegalAddException

     public IllegalAddException(Element base,
                                CDATA added,
                                String reason)

  This will create an `Exception` indicating that the addition of the `{@link CDATA}`

  Parameters:
    base - `Element` that the `CDATA` couldn't be added to
    added - `CDATA` that could not be added
    reason - cause of the problem

IllegalAddException

     public IllegalAddException(Element base,
                                Text added,
                                String reason)

  This will create an `Exception` indicating that the addition of the `{@link Text}` to the `{@link Element}` is illegal.

  Parameters:
    base - `Element` that the `Comment` couldn't be added to
    added - `Text` that could not be added
    reason - cause of the problem

IllegalAddException

     public IllegalAddException(Document base,
                                Comment added,
                                String reason)

  This will create an `Exception` indicating that the addition of the `{@link Comment}` to the `{@link Document}` is illegal.

  Parameters:
    base - `Document` that the `Comment` couldn't be added to
    added - `Comment` that could not be added
    reason - cause of the problem

IllegalAddException

     public IllegalAddException(Element base,
                                EntityRef added,
                                String reason)

  This will create an `Exception` indicating that the addition of the `{@link EntityRef}` to the `{@link Element}` is illegal.

  Parameters:
    base - `Element` that the `EntityRef` couldn't be added to
    added - `EntityRef` reference that could not be added
    reason - cause of the problem

IllegalAddException

     public IllegalAddException(Element base,
                                Namespace added,
                                String reason)

  This will create an `Exception` indicating that the addition of the `{@link Namespace}` to the `{@link Element}` is illegal.

  Parameters:
    base - `Element` that the `Namespace` couldn't be added to
    added - `Namespace` that could not be added
    reason - cause of the problem

IllegalAddException

     public IllegalAddException(Document base,
                                DocType added,
                                String reason)

  This will create an `Exception` indicating that the addition of the `{@link DocType}` to the `{@link Document}` is illegal.

  Parameters:
    base - `Document` that the `DocType` couldn't be added to
    added - `DocType` that could not be added
    reason - cause of the problem

IllegalAddException

     public IllegalAddException(String reason)

  This will create an `Exception` with the specified error message.

  Parameters:
    reason - cause of the problem

    All Packages  Class Hierarchy  This Package  Previous  Next  Index